Name:          tuscany-parent
Version:       2
Release:       6%{?dist}
Summary:       Apache Tuscany Project Parent
Group:         Development/Libraries
License:       ASL 2.0
Url:           http://tuscany.apache.org/
# svn export http://svn.apache.org/repos/asf/tuscany/tags/java/pom/parent/2 tuscany-parent-2
# tar czf tuscany-parent-2-src-svn.tar.gz tuscany-parent-2
Source0:       %{name}-%{version}-src-svn.tar.gz
# tuscany-parent package don't include the license file
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils

BuildRequires: maven-local
BuildRequires: maven-install-plugin

# required by remote-resources-plugin
BuildRequires: mvn(org.apache.maven.shared:maven-artifact-resolver)
BuildRequires: mvn(org.apache.maven.shared:maven-shared-components)

Requires:      maven-checkstyle-plugin
Requires:      maven-compiler-plugin

Requires:      jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Parent POM defining settings that can be used across Tuscany.

%prep
%setup -q

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%pom_remove_plugin org.apache.maven.plugins:maven-pmd-plugin

%build

mvn-rpmbuild install

%install

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom

%files
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE-2.0.txt

%changelog
* Tue Apr 02 2013 gil cattaneo <puntogil@libero.it> 2-6
- removed maven-pmd-plugin references (see RHBZ#912085)

* Tue Feb 19 2013 gil cattaneo <puntogil@libero.it> 2-5
- added maven-artifact-resolver and maven-shared-components as BR

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 01 2012 gil cattaneo <puntogil@libero.it> 2-1
- initial rpm